Return a list of limited departments.

"Return at most 500 departments" and "If over 500 the truncated flag indicates there is more data that is not returned". Permission Level: Read

GET /users/department/basicdepartments

Operation id: DepartmentService_ListBasicDepartments

Tags: DepartmentService

Parameters

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenantId of the Department. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
departmentsarrayNo
resultsTruncatedbooleanNo
{
  "type": "object",
  "properties": {
    "departments": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          }
        }
      }
    },
    "resultsTruncated": {
      "type": "boolean"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}